Author Topic: 3D transparency byblock, need some help  (Read 2726 times)

0 Members and 1 Guest are viewing this topic.

lamarn

  • Swamp Rat
  • Posts: 636
3D transparency byblock, need some help
« on: September 28, 2014, 04:15:57 PM »
I found a great routine to make blocks neutral (0, byblock, etc.)
The only thing missing is to set 'transparancy' byblock
I already made the dcl with a extra button
But the vla code does not seem to react.

Thanks in advance
Design is something you should do with both hands. My 2d hand , my 3d hand ..

flyfox1047

  • Guest
Re: 3D transparency byblock, need some help
« Reply #1 on: September 29, 2014, 03:52:18 AM »
Good familiar interface . It's really write by you?



lamarn

  • Swamp Rat
  • Posts: 636
Re: 3D transparency byblock, need some help
« Reply #2 on: September 29, 2014, 10:28:50 AM »
o it is not mine. I only wish i could do this. Can you?
I mailed the frenshman but no reaction from his side.
Me think I am the only person on earth using transparency 3D blocks byblock ..
Design is something you should do with both hands. My 2d hand , my 3d hand ..

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: 3D transparency byblock, need some help
« Reply #3 on: September 30, 2014, 03:44:43 AM »
But the vla code does not seem to react.
Have you used (vlax-dump-object ...) to check for the right property?

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: 3D transparency byblock, need some help
« Reply #4 on: September 30, 2014, 05:29:10 AM »
Hint: the prop you are looking for starts with an 'e' and not with a 't'.

lamarn

  • Swamp Rat
  • Posts: 636
Re: 3D transparency byblock, need some help
« Reply #5 on: October 03, 2014, 08:14:39 AM »
This can be done outside the block / routine.
As for a start.

(defun c:Tpb ()
  (setvar "TRANSPARENCYDISPLAY" 1)
  (setq obj (ssget))
   (if (/= obj nil)
    (progn
      (command "change" obj "" "p" "tr" "byblock" "")
       (alert (strcat "Transparency ON and objects faded "ByBlock" "))
    )
  (princ "***Nothing Selected***"))
  (princ)
)
Design is something you should do with both hands. My 2d hand , my 3d hand ..

roy_043

  • Water Moccasin
  • Posts: 1895
  • BricsCAD 18
Re: 3D transparency byblock, need some help
« Reply #6 on: October 03, 2014, 08:59:25 AM »

lamarn

  • Swamp Rat
  • Posts: 636
Re: 3D transparency byblock, need some help
« Reply #7 on: October 03, 2014, 10:20:57 AM »
(vla-put-entitytransparency entity "byblock")  ; something like that
Design is something you should do with both hands. My 2d hand , my 3d hand ..